if (DESIGNER_PLUGINS)
	project(qglengine_plugin)
	include_directories("..")
	add_definitions(-DQT_PLUGIN)
	add_definitions(-DQT_NO_DEBUG)
	add_definitions(-DQT_SHARED)
	add_definitions(-DQDESIGNER_EXPORT_WIDGETS)
	find_qt(${QtVersions} Core Designer Gui Widgets OpenGL)
	qt_sources(SRC)
	qt_wrap(${SRC} CPPS out_CPP QMS out_QM)
	qt_add_library(${PROJECT_NAME} SHARED out_CPP)
	qt_target_link_libraries(${PROJECT_NAME} qglengine)
	qt_install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION QtPlugins/designer)
endif()
